summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2011-05-18 07:47:55 -0300
committer Robby Workman <rworkman@slackbuilds.org>2011-05-19 08:33:05 -0500
commitaa2453959961077fd36adf38fa77b1fc382975f9 (patch)
treeca9a328d5451ef3e51d377bfdf66ede9b1704193
parent50cf3065dc7ae9dba736b2c1681d6d428b20be1d (diff)
downloadslackbuilds-aa2453959961077fd36adf38fa77b1fc382975f9.tar.gz
slackbuilds-aa2453959961077fd36adf38fa77b1fc382975f9.tar.xz
development/jsctags: Added (ctags-compatible code indexer)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--development/jsctags/README9
-rw-r--r--development/jsctags/jsctags.SlackBuild47
-rw-r--r--development/jsctags/jsctags.info10
-rw-r--r--development/jsctags/slack-desc19
4 files changed, 85 insertions, 0 deletions
diff --git a/development/jsctags/README b/development/jsctags/README
new file mode 100644
index 0000000000..fe92fb8a0d
--- /dev/null
+++ b/development/jsctags/README
@@ -0,0 +1,9 @@
+jsctags is a ctags-compatible code indexing solution for JavaScript.
+Its interface and output are essentially identical to Exuberant Ctags,
+but, instead of simply parsing the JavaScript, jsctags uses a simple
+form of abstract interpretation to determine which symbols are exported.
+This allows jsctags to achieve much better results than Exuberant Ctags.
+Popular libraries such as jQuery and CommonJS modules can now be
+meaningfully indexed.
+
+This requires node.
diff --git a/development/jsctags/jsctags.SlackBuild b/development/jsctags/jsctags.SlackBuild
new file mode 100644
index 0000000000..361c968c02
--- /dev/null
+++ b/development/jsctags/jsctags.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for jsctags
+# Written by Audrius Kažukauskas <audrius@neutrino.lt>
+
+PRGNAM=jsctags
+SRCNAM=mozilla-doctorjs
+SRCNAMSUF=69588ab
+VERSION=${VERSION:-20110312git}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCNAMSUF
+tar xvf $CWD/$SRCNAM-$SRCNAMSUF.tar.gz
+cd $SRCNAM-$SRCNAMSUF
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s|PREFIX=/usr/local|PREFIX=$PKG/usr|" Makefile
+
+make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/jsctags/jsctags.info b/development/jsctags/jsctags.info
new file mode 100644
index 0000000000..ee2f5de5d8
--- /dev/null
+++ b/development/jsctags/jsctags.info
@@ -0,0 +1,10 @@
+PRGNAM="jsctags"
+VERSION="20110312git"
+HOMEPAGE="https://github.com/mozilla/doctorjs"
+DOWNLOAD="https://github.com/mozilla/doctorjs/tarball/69588ab"
+MD5SUM="978320b9506310eef930a0d9187ab42f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"
+APPROVED="Niels Horn"
diff --git a/development/jsctags/slack-desc b/development/jsctags/slack-desc
new file mode 100644
index 0000000000..1970489339
--- /dev/null
+++ b/development/jsctags/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jsctags: jsctags (ctags-compatible code indexer for JavaScript)
+jsctags:
+jsctags: jsctags interface and output are essentially identical to Exuberant
+jsctags: Ctags, but, instead of simply parsing the JavaScript, jsctags uses a
+jsctags: simple form of abstract interpretation to determine which symbols are
+jsctags: exported. This allows jsctags to achieve much better results than
+jsctags: Exuberant Ctags.
+jsctags:
+jsctags: Homepage: https://github.com/mozilla/doctorjs
+jsctags:
+jsctags: